import { Collection, Db } from "mongodb";
/**
 * 存在明显性能问题
 */
export declare class MongoDatabase {
    private static taskList;
    private static pool;
    static pushTask(task: Promise<any>): any;
    static removeTask(uuid: string): void;
    /**
     * 获得数据库对象
     * @param database
     */
    static getDB(databaseName: string): Promise<Db>;
    /**
     * 关闭所有队列内的任务
     */
    private static closeAllTaskList();
    /**
    * 关闭队列当中的所有的数据库
    */
    static close(): Promise<void>;
    /**
     * 获取一个集合连接
     * @param dbName
     * @param collectionName
     */
    static getCollection(dbName: string, collectionName: string): Promise<Collection<any>>;
    /**
     * 获取一个序列号
     * @param key
     * @param dbName
     * @param sequenceCollectionName
     */
    static getSequence(key: string, dbName?: string, sequenceCollectionName?: string): Promise<any>;
    static readStreamBuffer(stream: any): Promise<{}>;
}
