export declare class BrowserLarkError extends Error {
    code: number;
    data: any;
    /**
     * 错误
     * @param name 错误的字符串枚举，全大写加下划线开头，全局不重复
     * @param code 不重复的错误码
     * @param message 简短的对错误的信息进行描述
     */
    constructor(message?: string, data?: any, code?: number, name?: string);
    print(): void;
}
