/// <reference types="express" />
import * as Express from "express";
/**
 * 主要功能，Router
 * 具有超时机制，以及异常管理，同时还能
 */
export declare class WebRouter {
    protected router: Express.Router;
    protected logger: Console;
    getRouter(): Express.Router;
    /**
     * 用于注册Router
     */
    bindRouter(): void;
    /**
     * 重载该方法可以管理单个路由对异常的行为
     * @param error
     * @param request
     * @param response
     * @param next
     */
    protected asyncActionErrorHandler(error: any, request: any, response: any, next: any): Promise<void>;
    protected asyncAction(controller: any, action: string, request: Express.Request, response: Express.Response, next: Express.NextFunction): Promise<void>;
}
